Bug 17644 - t/db_dependent/Exporter/Record.t fails
Summary: t/db_dependent/Exporter/Record.t fails
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-16 12:40 UTC by Kyle M Hall
Modified: 2017-06-14 22:17 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17644 - t/db_dependent/Exporter/Record.t fails (1.39 KB, patch)
2016-11-16 12:41 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17644 - t/db_dependent/Exporter/Record.t fails (1.46 KB, patch)
2016-11-16 14:31 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17644 - t/db_dependent/Exporter/Record.t fails (1.51 KB, patch)
2016-11-17 08:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-11-16 12:40:19 UTC

    
Comment 1 Kyle M Hall 2016-11-16 12:41:47 UTC
Created attachment 57539 [details] [review]
Bug 17644 - t/db_dependent/Exporter/Record.t fails

Test Plan:
1) prove t/db_dependent/Exporter/Record.t fails
2) Apply this patch
3) prove t/db_dependent/Exporter/Record.t succeeds!
Comment 2 Josef Moravec 2016-11-16 14:31:35 UTC
Created attachment 57547 [details] [review]
[SIGNED-OFF] Bug 17644 - t/db_dependent/Exporter/Record.t fails

Test Plan:
1) prove t/db_dependent/Exporter/Record.t fails
2) Apply this patch
3) prove t/db_dependent/Exporter/Record.t succeeds!

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Jonathan Druart 2016-11-17 08:03:41 UTC
I was going to submit a patch to fix this test and found yours.

Note that mine looks simpler:

-Koha::Biblioitems->find( $bad_biblionumber )->marcxml("something wrong")->store;
+Koha::Biblioitems->find( $bad_biblioitemnumber )->marcxml("something wrong")->store;
Comment 4 Jonathan Druart 2016-11-17 08:07:18 UTC
Created attachment 57586 [details] [review]
Bug 17644 - t/db_dependent/Exporter/Record.t fails

Test Plan:
1) prove t/db_dependent/Exporter/Record.t fails
2) Apply this patch
3) prove t/db_dependent/Exporter/Record.t succeeds!

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Kyle M Hall 2016-11-17 11:05:58 UTC
Pushed to master for 16.11!
Comment 6 Mason James 2016-12-14 11:19:16 UTC
Pushed to 16.05.x, for 16.05.06 release